(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     77087,       2098]
NotebookOptionsPosition[     36289,       1117]
NotebookOutlinePosition[     70882,       1891]
CellTagsIndexPosition[     70803,       1886]
WindowTitle->S14 Creating Demonstrations
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["Creating Demonstrations", "Title"],

Cell[TextData[{
 StyleBox["Wolfram",
  FontSlant->"Plain"],
 " ",
 StyleBox["Online Seminar Series",
  FontColor->RGBColor[0.811765, 0.117647, 0.145098]]
}], "Subtitle"],

Cell[TextData[{
 StyleBox["Presenter:",
  FontSlant->"Plain"],
 " Jeff Bryant\nseminars@wolfram.com"
}], "Subsubtitle"],

Cell[TextData[{
 Cell[BoxData[
  DynamicBox[ToBoxes[
    Style[
     DateString[], FontFamily -> "Calibri"], StandardForm],
   ImageSizeCache->{255., {3., 16.}},
   UpdateInterval:>1]]],
 StyleBox["  (GMT ",
  StripOnInput->False],
 Cell[BoxData[
  DynamicBox[ToBoxes[
    Style[
     NumberForm[$TimeZone, NumberSigns -> {"-", "+"}], FontFamily -> 
     "Calibri"], StandardForm],
   ImageSizeCache->{32., {1., 15.}}]]],
 ")"
}], "Subsubtitle",
 CellMargins->{{Inherited, Inherited}, {Inherited, 100}},
 ShowStringCharacters->False,
 FontFamily->"Calibri",
 FontSize->20,
 FontWeight->"Plain",
 FontSlant->"Plain"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Introduction", "Section"],

Cell[TextData[{
 "This seminar provides an introduction to the Wolfram Demonstrations \
Project. All the material you need to explore the project and to contribute \
are available via the website and from within ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " and/or the ",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 "."
}], "Text"],

Cell[TextData[ButtonBox["The Wolfram Demonstrations Project",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["http://demonstrations.wolfram.com/"], None}]], "Item",
 CellChangeTimes->{{3.3927450267707977`*^9, 3.392745050317522*^9}}],

Cell["\<\
This notebook is a supplement to the free seminar that highlights the \
discussion topics and provides convenient links for you to obtain more \
information.\
\>", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Site Overview", "Section"],

Cell[CellGroupData[{

Cell["What is it? What are our goals?", "Subsection"],

Cell["Useful links:", "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 ButtonBox["About page",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/about.html"], None}],
 ": learn about the history and goals of the project"
}], "Item"],

Cell[TextData[{
 ButtonBox["FAQ page:",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/FAQ.html"], None}],
 " view some frequently asked questions and answers"
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Site Overview: Browsing and searching the site\
\>", "Section"],

Cell["The site provides:", "Text"],

Cell[CellGroupData[{

Cell["a navigation bar to get you started.", "Item"],

Cell[TextData[{
 ButtonBox["New",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/new.html"], None}],
 ", ",
 ButtonBox["Random",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/random.html"], None}],
 ", or ",
 ButtonBox["Topics",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/topics.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/topics.html"],
 " you are interested in. The Topics item is only a subset of topics."
}], "Item"],

Cell["\<\
search is very powerful \[LongDash] it will be the preferred method for \
finding Demonstrations\
\>", "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Site Overview: Downloading Demonstrations\
\>", "Section"],

Cell[TextData[{
 "Once a Demonstration of interest has been located, you can download the \
interactive Demonstration from its web preview page by clicking on the orange \
button near the top of the page, just above the Flash animation. The \
interactive Demonstration can be opened by either ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " or the free ",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 ". The ",
 StyleBox["Mathematica Player",
  FontSlant->"Italic"],
 " can be downloaded ",
 ButtonBox["here",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/player/download.cgi"], None}],
 "."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Authoring", "Section"],

Cell["\<\
After you have searched the site and determined that your idea is not already \
represented, the concepts in this section should help you to create a new \
Demonstration to fill the gap and help push the community project further.\
\>", "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Authoring: Manipulating Demonstrations\
\>", "Section"],

Cell["\<\
There are a number of ways that Demonstrations are interactive. Here is a \
list of some of the more common ways (the Control Suggestions section has \
tooltips describing some of these):\
\>", "Text"],

Cell[CellGroupData[{

Cell["Interactive rotation of 3D graphics", "Item"],

Cell["\<\
Slider zoom is useful for getting fine control of sliders and other controls.\
\
\>", "Item"],

Cell["Resizing of images is often useful for any graphics content.", "Item"],

Cell[TextData[{
 "Unlike most ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " controls, ",
 Cell[BoxData[
  ButtonBox["Locator",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Locator"]], "InlineFormula"],
 "s appear in the content area of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " rather than in the control block where most sliders and other controls \
reside. These can often by useful for direct interaction with elements of the \
output."
}], "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Authoring: Filling out an authoring notebook\
\>", "Section"],

Cell[TextData[{
 "The authoring notebook is available from within Mathematica by going to the \
",
 StyleBox["File \[FilledRightTriangle] New \[FilledRightTriangle] \
Demonstration", "Menu"],
 " menu item."
}], "Text"],

Cell[TextData[{
 "The top of the authoring notebook contains a toolbar with a number of \
useful items such as convenient access to the spell checker, a ",
 StyleBox["Save", "Menu"],
 " button, and a tool for testing that the size of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " is within guidelines."
}], "Text"],

Cell["\<\
The template comes complete with instructions in each section describing the \
correct way to fill that section out. Following these instructions will help \
to ensure that your Demonstration builds properly.\
\>", "Text",
 CellChangeTimes->{{3.392723906952313*^9, 3.392723963842574*^9}, {
  3.392723999139223*^9, 3.392724047529538*^9}, {3.39274461552343*^9, 
  3.3927446274608536`*^9}, {3.3927452638630304`*^9, 3.392745359284295*^9}}],

Cell["Sections include:", "Text"],

Cell[CellGroupData[{

Cell["Title (required)", "Item"],

Cell["Initialization (optional)", "Item"],

Cell["Manipulate (required)", "Item"],

Cell["Caption (required)", "Item"],

Cell["Thumbnail (required)", "Item"],

Cell["Snapshots (required)", "Item"],

Cell["Details (optional)", "Item"],

Cell["Control Suggestions (optional but strongly encouraged)", "Item"],

Cell["Search Terms (optional but strongly encouraged)", "Item"],

Cell["Related Links (optional but strongly encouraged)", "Item"],

Cell["Authoring Information (required)", "Item"]
}, Open  ]],

Cell[TextData[{
 "After you create your primary ",
 StyleBox["Manipulate", "MR"],
 " in the Manipulate section, simply highlight the cell bracket of the \
output, copy it, and then:"
}], "Text"],

Cell[CellGroupData[{

Cell[TextData[{
 "replace the placeholder cell in the Thumbnail section with a copy of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " output by doing a simple paste operation. The result should be a working \
",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " with movable sliders. Move the sliders to the most interesting and \
eye-catching setting since this is the setting most people will see while \
navigating the site. Do not convert the output to a bitmap or resize it."
}], "ItemNumbered"],

Cell[TextData[{
 "replace the placeholder cell in the Snapshots section with a copy of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " output by doing a simple paste operation, just as was done for the \
Thumbnail section. In addition, paste at least two more copies in this \
section, each one in a separate cell. Move the controls for each to be unique \
and interesting settings. Do not convert any of the snapshots to a bitmap or \
resize them."
}], "ItemNumbered"],

Cell[TextData[{
 "If you determine that after making the copies and changing the controls \
that you have forgotten a feature or want to tweak the code, simply modify \
the code for the first ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " and re-evaluate it to generate a fresh ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " with your new code. Then, use the Update Thumbnails and Snapshots tool in \
the docked cell at the top of the authoring notebook. This should update all \
of the copies with the new code and should also leave the control at their \
pre-existing settings. You should check to make sure the controls are where \
you want them since some code changes can be too extreme for this tool to \
properly be able to update."
}], "ItemNumbered"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Authoring: Guidelines for making Demonstrations\
\>", "Section"],

Cell[TextData[{
 ButtonBox["Authoring guidelines",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/guidelines.html"], None}],
 " are available on the website, but below are a number of guidelines to keep \
in mind."
}], "Text",
 CellChangeTimes->{{3.39293035284375*^9, 3.39293038971875*^9}}],

Cell[CellGroupData[{

Cell["Present information graphically, not textually, if possible.", "Item"],

Cell["Integrate information into the display.", "Item"],

Cell["Put labels close to the things they label.", "Item"],

Cell[TextData[{
 "Keep the size of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " output restricted to fit within the Test Image Size tool in the tool menu \
found in the docked cell of the authoring notebook. Try to limit any changing \
in size as you move the controls since this can make for a distracting Flash \
animation on the website."
}], "Item"],

Cell["\<\
Keep the title as specific as possible so that other Demonstrations can be \
created more specific to other aspects of the same idea.\
\>", "Item"],

Cell["\<\
Don't think of Demonstrations as animations. Try not to create controls that \
set up animations, but use the controls to actually create the change \
directly.\
\>", "Item"],

Cell["\<\
Make sure you move all the controls through their full range of position to \
try to avoid error messages due to singularities or other problem  areas. The \
Demonstration should work correctly for all positions and never issue errors.\
\
\>", "Item"],

Cell["\<\
Make sure to spell check the Demonstration before you submit it.\
\>", "Item"],

Cell[TextData[{
 "Try to avoid primary colors if at all possible and make use of the color \
functionality in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". Editors can provide additional color suggestions as part of the review \
process."
}], "Item"],

Cell["\<\
Make sure to read the instructions within each section of the authoring \
template carefully.\
\>", "Item"],

Cell["\<\
Make sure the performance of the Demonstration is smooth and not sluggish. \
Many people using the end result may not have high end machines and its good \
to try to keep them in mind.\
\>", "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Submitting for Publication", "Section"],

Cell[CellGroupData[{

Cell["Uploading", "Subsection"],

Cell[TextData[{
 "Go to the ",
 ButtonBox["Authoring Area",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/authoringarea.jsp"], 
    None}],
 " \[Dash] anyone can register for free and once you have registered, you can \
submit new Demonstrations or modify existing Demonstrations in your personal \
space. The ",
 ButtonBox["Authoring Area",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/authoringarea.jsp"], 
    None}],
 " is for scratch work and generates a preview HTML with a static image after \
a few minutes."
}], "Text"],

Cell["\<\
Once you are happy with your Demonstration you can submit it for publication \
using the sidebar item. Once it is published, it will be available to \
everyone and can be found via the site search and linked to related \
Demonstrations. Flash animations are only available for published \
Demonstrations.\
\>", "Text",
 CellChangeTimes->{{3.392723906952313*^9, 3.392723963842574*^9}, {
  3.392723999139223*^9, 3.392724047529538*^9}, {3.39274461552343*^9, 
  3.3927446866011*^9}, {3.392746417730646*^9, 3.392746551776663*^9}, {
  3.392746600541976*^9, 3.3927466124481497`*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Submitting for Publication: Security\
\>", "Section"],

Cell[TextData[{
 "Since Demonstrations can contain nearly any ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " code, there is the potential of security concerns since the code is \
evaluated during the build process. To minimize the risk of problems, some \
symbols such as those that allow file I/O or access to the operating system \
are flagged  as unsafe and will be blocked by the upload mechanism. In some \
cases, we can allow these, but typically these symbols are off limits. If you \
have such a Demonstration, you should contact the Demonstrations team \
(demonstrations@wolfram.com) for clarification on your particular case. \
Sometimes, safe symbols are inadvertently tagged as insecure until we \
specifically allow them so clarification may be needed. Contact us if you \
have difficulties uploading for unexpected reasons."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Submitting for Publication: Building\
\>", "Section"],

Cell["\<\
The build process for Demonstrations consists of scanning the uploaded \
notebook for security, and then putting it into a queue to generate the HTML, \
downloadable notebook, and the source code notebook. This process typically \
takes several minutes after which you will see a draft HTML page with a \
static graphic for a web preview. Review the resulting page and if you find \
it acceptable and worthy of publication on the public site, use the Submit \
this Demonstration for Publication item in the sidebar to submit it to the \
editors. An editor will typically be in contact with you shortly.\
\>", "Text",
 CellChangeTimes->{{3.392910638046875*^9, 3.39291068478125*^9}, {
   3.39291172715625*^9, 3.39291191496875*^9}, 3.392930984359375*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Submitting for Publication: Submission and review\
\>", "Section"],

Cell["\<\
Once you have submitted your Demonstration for publication, it will be \
available to editors who will be in contact with you to help route the \
Demonstration through the approval process. There are multiple stages \
including technical review, expert review, grammar review, visual review, and \
quality assurance review to make sure it works smoothly and without errors. \
The author is primarily responsible for fixing any problems, but editors can \
often provide assistance in this area. Because submissions are peer reviewed, \
they can be considered as academic publications and cited as such.\
\>", "Text",
 CellChangeTimes->{{3.392723906952313*^9, 3.392723963842574*^9}, {
  3.392723999139223*^9, 3.392724047529538*^9}, {3.39274461552343*^9, 
  3.3927447340382967`*^9}, {3.392746636104248*^9, 3.392746777665842*^9}, {
  3.392746934946086*^9, 3.392746965352141*^9}, {3.3927472844907236`*^9, 
  3.3927472866157103`*^9}, {3.3927489562925243`*^9, 3.392748957011269*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Advanced Topics", "Section"],

Cell["\<\
Basic Demonstrations are easy to create. There are some more advanced aspects \
that can be useful to understand as well.\
\>", "Text",
 CellChangeTimes->{{3.392908007421875*^9, 3.39290803253125*^9}, {
  3.392908806890625*^9, 3.39290880875*^9}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Advanced Topics: Initialization\
\>", "Section"],

Cell[TextData[{
 "If your ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " requires some definitions before being evaluated in order to work \
properly, then use the top section, Initialization Code, to store these \
definitions. These should be definitions, not standalone commands such as ",
 Cell[BoxData[
  ButtonBox["Clear",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Clear"]], "InlineFormula"],
 ". If you use such definitions, make sure that the option ",
 StyleBox["SaveDefinitions\[Rule]True", "MR"],
 " is used in your ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " so that the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " output stores these definitions. This ensures that you can reopen the \
author notebook in a fresh session without having to reevaluate the \
initialization code and allows the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " output to stand on its own with everything its needs."
}], "Text"],

Cell[TextData[{
 "It\[CloseCurlyQuote]s a subtle issue to keep in mind, but ",
 Cell[BoxData[
  ButtonBox["SaveDefinitions",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SaveDefinitions"]], "InlineFormula"],
 " actually automatically creates the ",
 StyleBox["Initialization", "MR"],
 " option to ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " for you (stored in the output). The right hand side value of the option \
contains the results of the initialization code being evaluated. If your \
initialization code contains large tables of results or other large output, \
these can make the size of your ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " output large from a file size point of view. In these cases, it can be \
useful to avoid the ",
 StyleBox["SaveDefinitions", "MR"],
 " option and create the ",
 StyleBox["Initialization", "MR"],
 " option yourself as part of the input syntax. This way, the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " simply stores the input commands and not the evaluated results. The input \
will be evaluated at run time. The downside is that this makes the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " input command appear to take much longer if you have a lot of \
initialization code."
}], "Text"],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 ", as with all dynamic expressions in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", have a default timeout of about 6 seconds. This includes the ",
 StyleBox["Initialization", "MR"],
 " and is intended as a safety procedure to prevent the front end from \
locking up due to bad code. Some initialization may take longer than this and \
in this case, you may need to specify that ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " should continue waiting and should not time out. This can be accomplished \
by specifying ",
 StyleBox["SynchronousInitialization\[Rule]False", "MR"],
 " as an option to your ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 "."
}], "Text"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Advanced Topics: Loading packages\
\>", "Section"],

Cell[TextData[{
 "In order to use packages with Demonstrations, you must restrict yourself to \
only those packages included with ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". The reason is that third party packages may not be included on a user\
\[CloseCurlyQuote]s machine and so when they download the Demonstration, they \
won\[CloseCurlyQuote]t be able to load the package. It is usually best to \
avoid using ",
 ButtonBox["Standard Add-On packages",
  BaseStyle->"Link",
  ButtonData->"paclet:guide/StandardExtraPackages"],
 ", but if you must, there are some issues to keep in mind."
}], "Text"],

Cell[TextData[{
 "The evaluation order of ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " as well as the unique context issues used in the Demonstrations build \
process can make the use of packages a bit more tricky than normal. Some \
packages use ",
 Cell[BoxData[
  ButtonBox["ReadProtected",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ReadProtected"]], "InlineFormula"],
 " on their symbol definitions which makes ",
 StyleBox["SaveDefinitions", "MR"],
 " unable to pull the needed definitions in and store them. In these cases, \
you may need to specify the ",
 StyleBox["Initialization", "MR"],
 " option manually using ",
 Cell[BoxData[
  ButtonBox["Get",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Get"]], "InlineFormula"],
 "."
}], "Text"],

Cell[TextData[{
 "Due to the evaluation order of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", symbols in the body of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " may be put in the ",
 StyleBox["Global`", "MR"],
 " context before the ",
 StyleBox["Initialization", "MR"],
 " option is evaluated. This can result in shadowing messages and problems in \
functionality. To avoid this, it is a good idea that you specify the full \
context of any package symbols that you use to guarantee that the symbol isn\
\[CloseCurlyQuote]t defined both in the ",
 StyleBox["Global`", "MR"],
 " context and the particular package context. See the tutorials on ",
 ButtonBox["Contexts",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/mathematica/tutorial/Contexts.html"], 
    None}],
 " and ",
 ButtonBox["Contexts and Packages",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/mathematica/tutorial/\
ContextsAndPackages.html"], None}],
 " for more information about context conflicts and specifying full \
contexts."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"BarCharts`BarChart", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", 
       RowBox[{"-", "1.3"}], ",", "2.5"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "n"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10"}], "}"}], ",", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"Get", "[", "\"\<BarCharts`\>\"", "]"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.392909532234375*^9, 3.392909612140625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 1.48, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 1, 10}}, Typeset`size$$ = {360., {109., 114.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$4321$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$4321$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      BarCharts`BarChart[{1, 2, -1.3, 2.5}, PlotLabel -> $CellContext`n$$], 
      "Specifications" :> {{$CellContext`n$$, 1, 10}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{407., {157., 164.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({
       Get["BarCharts`"]}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["\<\
Advanced Topics: Autorun sequencing and the Flash animation\
\>", "Section"],

Cell["\<\
Part of a Demonstration is the web preview page which contains a Flash \
animation. Its a good idea to keep the Flash animation in mind when creating \
your Demonstration to make sure it does something sensible. In many cases, \
most of the build time for a Demonstration is spent on exporting the Flash \
animation. Since Demonstrations are only allowed a finite amount of time to \
build before it is deemed problematic, it is a good idea to limit the length \
of your animation. \
\>", "Text"],

Cell[TextData[{
 "The Flash animation is an exported version of the autorun feature of ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " (available from the + menu in the upper right of the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " output). Essentially, this feature animates the ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " by running each control through its full range in about 6 seconds. This \
makes sense for sliders, popup menus, locators, and other controls with a \
range. Some controls, such as buttons, don\[CloseCurlyQuote]t have an obvious \
meaning to autorun and so do nothing for 6 seconds. ",
 StyleBox["AutorunSequencing", "MR"],
 " allows you to specify which controls are run during autorun and the Flash \
animation. If you have a complicated Demonstration with many controls, it can \
often be useful to limit ",
 StyleBox["AutorunSequencing", "MR"],
 " to 3 or 4 controls at most, preferably the ones that have the most visual \
impact or show the most important points. Keeping the number of controls \
limited in this way can also reduce the generation time and file size for the \
Flash animation. The more controls that are animated, the longer the \
animation and the larger the file size."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"a", " ", 
       SuperscriptBox["x", "5"]}], "+", 
      RowBox[{"b", " ", 
       SuperscriptBox["x", "4"]}], "+", 
      RowBox[{"c", " ", 
       SuperscriptBox["x", "3"]}], "+", 
      RowBox[{"d", " ", 
       SuperscriptBox["x", "2"]}], "+", 
      RowBox[{"e", " ", "x"}], "+", "f"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "10"}], ",", "10"}], "}"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", "20"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"400", ",", "250"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"All", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "100"}], ",", "100"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\"\<coefficients\>\"", ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", 
       RowBox[{"-", "5"}], ",", "\"\<quintic\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", 
       RowBox[{"-", "5"}], ",", "\"\<quartic\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", 
       RowBox[{"-", "5"}], ",", "\"\<cubic\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", 
       RowBox[{"-", "5"}], ",", "\"\<quadratic\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", 
       RowBox[{"-", "5"}], ",", "\"\<linear\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"-", "5"}], ",", "\"\<constant\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "3", ",", "5"}], "}"}]}]}], "]"}]], "Input"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = -5, $CellContext`b$$ = -5, \
$CellContext`c$$ = -5, $CellContext`d$$ = -5, $CellContext`e$$ = -4.8, \
$CellContext`f$$ = -5, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold["coefficients"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], -5, "quintic"}, -10, 10}, {{
       Hold[$CellContext`b$$], -5, "quartic"}, -10, 10}, {{
       Hold[$CellContext`c$$], -5, "cubic"}, -10, 10}, {{
       Hold[$CellContext`d$$], -5, "quadratic"}, -10, 10}, {{
       Hold[$CellContext`e$$], -5, "linear"}, -10, 10}, {{
       Hold[$CellContext`f$$], -5, "constant"}, -10, 10}}, Typeset`size$$ = {
    400., {123., 127.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`a$4533$$ = 
    0, $CellContext`b$4534$$ = 0, $CellContext`c$4535$$ = 
    0, $CellContext`d$4536$$ = 0, $CellContext`e$4537$$ = 
    0, $CellContext`f$4538$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = -5, $CellContext`b$$ = -5, \
$CellContext`c$$ = -5, $CellContext`d$$ = -5, $CellContext`e$$ = -5, \
$CellContext`f$$ = -5}, "ControllerVariables" :> {
        Hold[$CellContext`a$$, $CellContext`a$4533$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$4534$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$4535$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$4536$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$4537$$, 0], 
        Hold[$CellContext`f$$, $CellContext`f$4538$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`a$$ $CellContext`x^5 + $CellContext`b$$ \
$CellContext`x^4 + $CellContext`c$$ $CellContext`x^3 + $CellContext`d$$ \
$CellContext`x^2 + $CellContext`e$$ $CellContext`x + $CellContext`f$$, \
{$CellContext`x, -10, 10}, ImagePadding -> 20, ImageSize -> {400, 250}, 
        PlotRange -> {All, {-100, 100}}], 
      "Specifications" :> {
       "coefficients", {{$CellContext`a$$, -5, "quintic"}, -10, 10, ImageSize -> 
         Tiny}, {{$CellContext`b$$, -5, "quartic"}, -10, 10, ImageSize -> 
         Tiny}, {{$CellContext`c$$, -5, "cubic"}, -10, 10, ImageSize -> 
         Tiny}, {{$CellContext`d$$, -5, "quadratic"}, -10, 10, ImageSize -> 
         Tiny}, {{$CellContext`e$$, -5, "linear"}, -10, 10, ImageSize -> 
         Tiny}, {{$CellContext`f$$, -5, "constant"}, -10, 10, ImageSize -> 
         Tiny}}, "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {1, 3, 5}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{579., {153., 160.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output"]
}, Open  ]],

Cell["", "Spacer"]
}, Open  ]]
}, Open  ]]
},
Saveable->True,
ScreenStyleEnvironment->"SlideShow",
WindowSize->{1120, 774},
WindowMargins->{{5, Automatic}, {Automatic, 5}},
WindowTitle->"S14 Creating Demonstrations",
Magnification->1.,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell[
       TextData[{"Style Definitions for \n", 
         StyleBox["Wolfram Seminars", FontSlant -> "Italic"]}], "Subtitle"], 
      Cell[
       StyleData[StyleDefinitions -> "Default.nb"]], 
      Cell[
       StyleData[StyleDefinitions -> "StyleMenuClear.nb"]], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Definitions", "Section"], 
         Cell[
          StyleData[
          All, "SlideShow", StyleDefinitions -> 
           StyleData[All, "Presentation"]], PageWidth -> WindowWidth, 
          DockedCells -> Cell[
            BoxData[
             GridBox[{{
                TooltipBox[
                 ButtonBox[
                  StyleBox[
                   RowBox[{"  ", "\[EmptySquare]", " "}], FontSize -> 20, 
                   GrayLevel[0.7]], Appearance -> None, 
                  ButtonFunction :> (
                   FEPrivate`NotebookToggleFullScreen[]; {}), Evaluator -> 
                  None], 
                 DynamicBox[
                  FEPrivate`FrontEndResource[
                  "SlideshowToolbarText", "TooltipToggleFullScreen"]]], 
                StyleBox[
                 RowBox[{
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[FirstPage]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageFirst", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipFirstSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[LeftPointer]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPagePrevious", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipPreviousSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[RightPointer]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageNext", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipNextSlide"]]], 
                   "\[InvisibleSpace]", 
                   TooltipBox[
                    ButtonBox[
                    StyleBox[
                    RowBox[{" ", "\[LastPage]", " "}], FontSize -> 25, 
                    GrayLevel[0.7]], ButtonData -> "ScrollPageLast", 
                    Appearance -> None], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "TooltipLastSlide"]]]}], 
                 ButtonBoxOptions -> {Alignment -> {Automatic, 
                    FEPrivate`If[
                    FEPrivate`SameQ[
                    FEPrivate`$OperatingSystem, "Unix"], -0.4, -0.5]}, 
                   Appearance -> "Palette", 
                   ButtonFunction :> (FEPrivate`FrontEndExecute[
                    FrontEnd`FrontEndToken[
                    FrontEnd`ButtonNotebook[], #]]& ), Evaluator -> None, 
                   FrameMargins -> 0, ImageMargins -> 0, ImageSize -> 
                   Medium}], 
                
                DynamicModuleBox[{$CellContext`cells$$ = {}, \
$CellContext`tagFind$$ = False}, 
                 TagBox[
                  DynamicBox[
                   PopupMenuBox[
                    Dynamic[
                    0, With[{$CellContext`nb$ = ButtonNotebook[]}, 
                    SelectionMove[$CellContext`nb$, Before, Notebook, 
                    AutoScroll -> False]; If[$CellContext`tagFind$$, 
                    Do[
                    
                    NotebookFind[$CellContext`nb$, "SlideShowHeader", Next, 
                    CellTags, AutoScroll -> False], {#}], 
                    Do[
                    
                    NotebookFind[$CellContext`nb$, "SlideShowNavigationBar", 
                    Next, CellStyle, AutoScroll -> False], {#}]]; 
                    SelectionMove[$CellContext`nb$, After, Cell, AutoScroll -> 
                    False]; NotebookWrite[$CellContext`nb$, 
                    Cell["", Deletable -> True, ShowCellBracket -> False], 
                    All]; NotebookDelete[$CellContext`nb$]; 
                    SelectionMove[$CellContext`nb$, 
                    If[$CellContext`tagFind$$, Previous, Next], 
                    Cell]]& ], $CellContext`cells$$, 
                    StyleBox[
                    RowBox[{
                    DynamicBox[
                    CurrentValue[{"CounterValue", "SlideShowNavigationBar"}]], 
                    DynamicBox[
                    FEPrivate`FrontEndResource[
                    "SlideshowToolbarText", "SlideshowToolbarCounterText"]], 
                    DynamicBox[
                    
                    CurrentValue[{
                    "MaxCounterValue", "SlideShowNavigationBar"}]]}], 
                    "ControlStyle"], Appearance -> None, ImageSize -> 
                    Automatic], ImageSizeCache -> {50., {6., 18.}}], 
                  
                  EventHandlerTag[{
                   "MouseDown" :> 
                    Module[{$CellContext`cnt$, $CellContext`nb$ = 
                    InputNotebook[]}, $CellContext`cells$$ = {}; \
$CellContext`cnt$ = Apply[(
                    NotebookFind[$CellContext`nb$, #, All, #2, AutoScroll -> 
                    False]; CurrentValue[$CellContext`nb$, {
                    "CellCount", True}])& , {{
                    "SlideShowNavigationBar", CellStyle}, {
                    "SlideShowHeader", CellTags}}, {1}]; $CellContext`cnt$ = 
                    Apply[If[$CellContext`tagFind$$ = # == 
                    0, #2, #]& , $CellContext`cnt$]; 
                    SelectionMove[$CellContext`nb$, Before, Notebook, 
                    AutoScroll -> False]; 
                    If[$CellContext`tagFind$$, $CellContext`cells$$ = 
                    Map[# -> StringJoin["Slide ", 
                    ToString[#]]& , 
                    Range[$CellContext`cnt$]], 
                    Do[NotebookFind[$CellContext`nb$, 
                    "SlideShowNavigationBar", Next, CellStyle, AutoScroll -> 
                    False]; SelectionMove[$CellContext`nb$, Next, Cell, 
                    AutoScroll -> False]; AppendTo[$CellContext`cells$$, 
                    ReplaceAll[
                    NotebookRead[$CellContext`nb$], Pattern[$CellContext`s, 
                    Blank[StyleBox]] :> With[{$CellContext`ss = Join[
                    Take[$CellContext`s, 1], 
                    DeleteCases[
                    Rest[$CellContext`s], 
                    Alternatives[
                    Blank[String], 
                    Blank[][FontColor, 
                    Blank[]]]]]}, 
                    
                    Condition[$CellContext`ss, 
                    True]]]], {$CellContext`cnt$}]; $CellContext`cells$$ = 
                    Replace[
                    Part[$CellContext`cells$$, All, 1], {BoxData[
                    Pattern[$CellContext`c, 
                    Blank[]]] :> $CellContext`c, TextData[
                    Pattern[$CellContext`c, 
                    Blank[]]] :> RowBox[
                    If[
                    
                    ListQ[$CellContext`c], $CellContext`c, \
{$CellContext`c}]]}, 1]; $CellContext`cells$$ = 
                    Thread[Range[$CellContext`cnt$] -> \
$CellContext`cells$$]]], PassEventsDown -> True, EvaluationOrder -> Before, 
                    PassEventsDown -> Automatic, PassEventsUp -> True}]], 
                 DynamicModuleValues :> {}]}}, AutoDelete -> False, 
              GridBoxItemSize -> {"Columns" -> {Automatic, Fit, Automatic}}]],
             "DockedCell", CellDynamicExpression :> If[CurrentValue[
                EvaluationNotebook[], {TaggingRules, "DisableController"}] === 
              True, Null, 
              (FrontEndExecute[
               FrontEnd`FrontEndToken[
                FrontEnd`InputNotebook[], #]]& )[
               Switch[
                ControllerState["Apple IR", {"B1", "B2"}], {True, 
                 Blank[]}, "ScrollPagePrevious", {
                 Blank[], True}, "ScrollPageNext", 
                Blank[], None]]], Magnification -> 0.75], 
          ScrollingOptions -> {
           "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
          ShowGroupOpener -> False, MenuSortingValue -> 1300], 
         Cell[
          StyleData["DockedCell"], Editable -> False, Evaluator -> "Local", 
          PageWidth -> WindowWidth, CellFrame -> {{0, 0}, {0, 0}}, 
          ShowSelection -> True, CellMargins -> {{0, 0}, {0, 0}}, 
          CellElementSpacings -> {
           "ClosedCellHeight" -> 0, "ClosedGroupTopMargin" -> 0}, 
          DynamicUpdating -> True, CellFrameMargins -> {{0, 0}, {0, 4}}, 
          ContextMenu -> None, ComponentwiseContextMenu -> {}, 
          ShowStringCharacters -> False, LineBreakWithin -> False, 
          Magnification -> 1, Background -> GrayLevel[0.97], 
          TooltipBoxOptions -> {TooltipDelay -> Automatic}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], MenuSortingValue -> 1, MenuCommandKey -> "1",
              FontFamily -> "Georgia", FontSize -> 36, FontWeight -> Plain, 
             FontColor -> RGBColor[0.796078, 0.0705882, 0]], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{90, 100}, {10, 100}}, FontSize -> 54], 
            Cell[
             StyleData["Title", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], MenuSortingValue -> 100, MenuCommandKey -> 
             "2", FontFamily -> "Georgia", FontSize -> 24, FontWeight -> 
             "Plain", FontSlant -> "Italic"], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{90, 100}, {100, 20}}, FontSize -> 32], 
            Cell[
             StyleData["Subtitle", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], MenuSortingValue -> 200, 
             MenuCommandKey -> "3", FontFamily -> "Georgia", FontSize -> 20, 
             FontWeight -> "Plain", FontSlant -> "Italic", FontColor -> 
             GrayLevel[0.2]], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{90, 20}, {2, 120}}, LineSpacing -> {1.25, 1}, 
             FontSize -> 26], 
            Cell[
             StyleData["Subsubtitle", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DateSection"], CellMargins -> {{30, 0}, {12, 24}}, 
             ShowStringCharacters -> False], 
            Cell[
             StyleData["DateSection", "Presentation"], 
             CellMargins -> {{90, 20}, {2, 36}}, ShowStringCharacters -> 
             False, FontSize -> 21], 
            Cell[
             StyleData["DateSection", "SlideShow"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Sections", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Chapter"], CellMargins -> {{27, Inherited}, {8, 34}}, 
             CounterIncrements -> {"Chapter"}, MenuSortingValue -> 2410, 
             FontFamily -> "Georgia", FontSize -> 28, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098], CellTags -> "Chapter"], 
            Cell[
             StyleData["Chapter", "Presentation"], CellFrame -> None, 
             CellMargins -> {{80, 60}, {20, 30}}, FontSize -> 36], 
            Cell[
             StyleData["Chapter", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "LargeChapter", $CellContext`StyleDefnitions -> 
              StyleData["Chapter"]], 
             CellMargins -> {{27, Inherited}, {8, 34}}, MenuSortingValue -> 
             2430, FontFamily -> "Georgia", FontSize -> 30, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["LargeChapter", "Presentation"], 
             CellMargins -> {{100, 100}, {10, 150}}, FontSize -> 54], 
            Cell[
             StyleData["LargeChapter", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> 0, MenuSortingValue -> 1200, 
             MenuCommandKey -> "4", FontFamily -> "Georgia", FontSize -> 24, 
             FontWeight -> Plain, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["Section", "Presentation"], CellFrame -> None, 
             CellMargins -> {{80, 14}, {30, 30}}, FontFamily -> "Georgia", 
             FontSize -> 34, FontWeight -> Plain, FontColor -> 
             RGBColor[0.811765, 0.117647, 0.145098]], 
            Cell[
             StyleData["Section", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], CellDingbat -> "\[RightGuillemet]", 
             CellGroupingRules -> {"SectionGrouping", 40}, MenuSortingValue -> 
             1300, MenuCommandKey -> "5", FontFamily -> "Georgia", FontSize -> 
             22, FontWeight -> Plain, FontColor -> GrayLevel[0.25]], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{80, 60}, {12, 20}}, FontSize -> 25], 
            Cell[
             StyleData["Subsection", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> "\[RightGuillemet]", 
             MenuSortingValue -> 1400, MenuCommandKey -> "6", FontFamily -> 
             "Georgia", FontSize -> 20, FontWeight -> Plain, FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{88, 60}, {0, 12}}, FontSize -> 22], 
            Cell[
             StyleData["Subsubsection", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "MoreExamplesSection", StyleDefinitions -> 
              StyleData["Subsubsection"]], CellDingbat -> None, 
             ShowGroupOpener -> True, 
             CellGroupingRules -> {"SectionGrouping", 45}, MenuSortingValue -> 
             2100, FontColor -> RGBColor[0.636862, 0.0564706, 0.]], 
            Cell[
             StyleData["MoreExamplesSection", "Presentation"], 
             CellMargins -> {{88, 60}, {20, 12}}], 
            Cell[
             StyleData["MoreExamplesSection", "SlideShow"], 
             CellMargins -> {{88, 60}, {20, 
              12}}, $CellContext`WholeCellGroupOpener -> True]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], MenuSortingValue -> 2000, MenuCommandKey -> 
             "7", FontFamily -> "Georgia", FontSize -> 18], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{80, 20}, {12, 12}}, LineSpacing -> {1.25, 1}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["Text", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MathCaption"], MenuSortingValue -> 2010, 
             MenuCommandKey -> "8", FontFamily -> "Georgia", FontSize -> 18, 
             FontColor -> GrayLevel[0]], 
            Cell[
             StyleData["MathCaption", "Presentation"], 
             CellMargins -> {{120, 12}, {6, 34}}, LineSpacing -> {1.25, 1}, 
             FontSize -> 20], 
            Cell[
             StyleData["MathCaption", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "IntegrationMathCaption", StyleDefinitions -> 
              StyleData["MathCaption"]], CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Integration", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[0.811765, 0.117647, 0.145098], 
                  BoxFrame -> 0, FrameStyle -> None, 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}], 
            Cell[
             StyleData["IntegrationMathCaption", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, 
             CellFrameMargins -> {{10, 0}, {0, 5}}, FontSize -> 20], 
            Cell[
             StyleData["IntegrationMathCaption", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}, 
             CellFrameMargins -> {{10, 0}, {0, 5}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "AutomationMathCaption", StyleDefinitions -> 
              StyleData["IntegrationMathCaption"]], 
             CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Automation", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[0.811765, 0.117647, 0.145098], 
                  BoxFrame -> 0, FrameStyle -> None, 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}], 
            Cell[
             StyleData["AutomationMathCaption", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 20], 
            Cell[
             StyleData["AutomationMathCaption", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Comment", StyleDefinitions -> StyleData["Text"]], 
             CellMargins -> {{0, 12}, {2, 24}}, 
             CellFrameMargins -> {{0, 0}, {0, 3}}, CellFrameLabels -> {{
                PaneBox[
                 FrameBox[
                  StyleBox[
                  "Comment", FontFamily -> "Helvetica", FontSize -> 9, 
                   FontColor -> GrayLevel[1], FontWeight -> Plain], 
                  Background -> RGBColor[1., 0.647059, 0], BoxFrame -> 1, 
                  FrameStyle -> RGBColor[1., 0.647059, 0], 
                  FrameMargins -> {{3, 3}, {1, 1}}], ImageSize -> 56, 
                 Alignment -> Left, FrameMargins -> 0], None}, {None, None}}, 
             MenuSortingValue -> 2200, FontSize -> 14], 
            Cell[
             StyleData["Comment", "Presentation"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 16], 
            Cell[
             StyleData["Comment", "SlideShow"], 
             CellMargins -> {{30, 12}, {12, 12}}, FontSize -> 16]}, Closed]], 
         
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], 
             CellMargins -> {{60, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             MenuSortingValue -> 1700, 
             UnderoverscriptBoxOptions -> {
              LimitsPositioning -> True}, $CellContext`StripStyleOnPaste -> 
             True], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             CellMargins -> {{120, Inherited}, {
               1.75 Inherited, 1.75 Inherited}}, LineSpacing -> {1, 5}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["DisplayFormula", "SlideShow"]]}, Closed]]}, Closed]], 
      
      Cell[
       CellGroupData[{
         Cell["Styles for Items", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Item"], CellDingbat -> "\[RightGuillemet] ", 
             LineSpacing -> {1.5, 0}, MenuSortingValue -> 2700, FontFamily -> 
             "Georgia", FontSize -> 18, FontColor -> GrayLevel[0.2]], 
            Cell[
             StyleData["Item", "Presentation"], 
             CellMargins -> {{116, 20}, {12, 12}}, FontFamily -> "Georgia", 
             FontSize -> 20], 
            Cell[
             StyleData["Item", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemParagraph"], MenuSortingValue -> 2710, FontFamily -> 
             "Georgia", FontSize -> 18, FontColor -> GrayLevel[0.2]], 
            Cell[
             StyleData["ItemParagraph", "Presentation"], 
             CellMargins -> {{120, 90}, {12, 12}}, LineSpacing -> {1.25, 0}, 
             FontFamily -> "Georgia", FontSize -> 20], 
            Cell[
             StyleData["ItemParagraph", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ItemNumbered"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2720, FontFamily -> "Georgia", FontSize -> 
             18, FontColor -> GrayLevel[0.25]], 
            Cell[
             StyleData["ItemNumbered", "Presentation"], 
             CellMargins -> {{116, 20}, {12, 12}}, FontFamily -> "Georgia", 
             FontSize -> 20], 
            Cell[
             StyleData["ItemNumbered", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subitem"], CellDingbat -> "\[RightGuillemet] ", 
             LineSpacing -> {1.5, 0}, MenuSortingValue -> 2730, FontFamily -> 
             "Georgia", FontSize -> 16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["Subitem", "Presentation"], 
             CellMargins -> {{136, 20}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 21], 
            Cell[
             StyleData["Subitem", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SubitemParagraph"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2740, FontFamily -> "Georgia", FontSize -> 
             16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["SubitemParagraph", "Presentation"], 
             CellMargins -> {{136, 90}, {10, 8}}, FontFamily -> "Georgia", 
             FontSize -> 18], 
            Cell[
             StyleData["SubitemParagraph", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SubitemNumbered"], LineSpacing -> {1.5, 0}, 
             MenuSortingValue -> 2750, FontFamily -> "Georgia", FontSize -> 
             16, FontColor -> GrayLevel[0.3]], 
            Cell[
             StyleData["SubitemNumbered", "Presentation"], 
             CellMargins -> {{136, 20}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 18], 
            Cell[
             StyleData["SubitemNumbered", "SlideShow"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input and Output", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], MenuSortingValue -> 2020, MenuCommandKey -> 
             "9", FontSize -> 18], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Input", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], 
             CellLabelMargins -> {{12, Inherited}, {Inherited, Inherited}}, 
             LanguageCategory -> None, StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 9, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6]], 
            Cell[
             StyleData["CellLabel", "Presentation"], 
             CellMargins -> {{12, Inherited}, {1.5 Inherited, 1.5 Inherited}},
              FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "SlideShow"], 
             CellMargins -> {{12, Inherited}, {1.5 Inherited, 1.5 Inherited}},
              FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaShort"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShort", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShort", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaShortInput"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShortInput", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaShortInput", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaLong"], FontFamily -> "Helvetica", 
             FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLong", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLong", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["WolframAlphaLongInput"], FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLongInput", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["WolframAlphaLongInput", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], MenuSortingValue -> 2030, FontSize -> 18], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Output", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], FontSize -> 18], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{120, 10}, {7, 12}}, FontSize -> 18], 
            Cell[
             StyleData["Print", "SlideShow"]]}, Closed]], 
         Cell[
          StyleData["MSG"], FontSize -> 16]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles of Links", "Section"], 
         Cell[
          StyleData["Link", "SlideShow"], FontSize -> 21], 
         Cell[
          StyleData["SearchLink", StyleDefinitions -> StyleData["Link"]]], 
         Cell[
          StyleData["FunctionLink"]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Special Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Picture"], CellMargins -> {{100, 100}, {20, 20}}, 
             ShowStringCharacters -> False, MenuSortingValue -> 5000, 
             Magnification -> 1], 
            Cell[
             StyleData["Picture", "Presentation"], 
             CellMargins -> {{100, 100}, {20, 20}}, Magnification -> 1], 
            Cell[
             StyleData["Picture", "SlideShow"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData[
             "PictureCaption", StyleDefinitions -> StyleData["Text"]], 
             CellDingbat -> "\[FilledUpTriangle]", 
             CellMargins -> {{114, 100}, {15, 4}}, ShowStringCharacters -> 
             False, MenuSortingValue -> 5100, FontSize -> 14, FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["PictureCaption", "Presentation"], 
             CellMargins -> {{114, 100}, {20, 4}}, FontSize -> 16], 
            Cell[
             StyleData["PictureCaption", "SlideShow"], 
             CellMargins -> {{114, 100}, {20, 4}}, FontSize -> 16]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OverviewTitle"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]], 
            Cell[
             StyleData["OverviewTitle", "Presentation"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]], 
            Cell[
             StyleData["OverviewTitle", "SlideShow"], CellFrame -> None, 
             CellMargins -> {{100, 100}, {20, 60}}, FontFamily -> "Calibri", 
             FontSize -> 24, FontWeight -> "Bold", FontColor -> 
             GrayLevel[0.4]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OverviewSection"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True], 
            Cell[
             StyleData["OverviewSection", "Presentation"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True], 
            Cell[
             StyleData["OverviewSection", "SlideShow"], CellFrame -> None, 
             CellMargins -> {{120, 100}, {10, 10}}, FontFamily -> "Georgia", 
             FontSize -> 22, FontWeight -> Plain, FontColor -> 
             RGBColor[
              0.811765, 0.117647, 
               0.145098], $CellContext`ReturnCreatesNewCell -> True]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ChapterTagline"], CellMargins -> {{60, 90}, {15, 0}}, 
             MenuSortingValue -> 2420, FontFamily -> "Georgia", FontSize -> 
             20, FontWeight -> "Plain", FontSlant -> "Italic", FontColor -> 
             GrayLevel[0.3]], 
            Cell[
             StyleData["ChapterTagline", "Presentation"], 
             CellMargins -> {{90, 90}, {15, 0}}, FontSize -> 24], 
            Cell[
             StyleData["ChapterTagline", "SlideShow"]]}, Closed]], 
         Cell[
          StyleData["PlotLabel"], FontFamily -> "Helvetica", FontSize -> 14], 
         
         Cell[
          StyleData["NonPrintButton"], 
          CellMargins -> {{128, Inherited}, {16, 0}}, FontFamily -> 
          "Helvetica", FontSize -> 12, FontColor -> GrayLevel[1], 
          ButtonBoxOptions -> {
           Background -> RGBColor[0.811765, 0.117647, 0.145098], 
            ButtonMargins -> 4}], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"]], 
            Cell[
             StyleData["Program", "SlideShow"], 
             CellMargins -> {{116, 48}, {16, 16}}, FontSize -> 18]}, 
           Closed]]}, Closed]]}, Open]]}, Visible -> False, FrontEndVersion -> 
  "8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, 2010)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[608, 23, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[1664, 69, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[2608, 104, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[3362, 141, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[4384, 185, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[5252, 219, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[5675, 236, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[6997, 288, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[11256, 418, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[13771, 504, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[15245, 551, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[16307, 580, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[17272, 606, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[18475, 635, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[18905, 653, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[22915, 770, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[27950, 915, 64, 1, 1, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 69294, 1848}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[608, 23, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[675, 26, 40, 0, 172, "Title"],
Cell[718, 28, 169, 6, 156, "Subtitle"],
Cell[890, 36, 119, 4, 191, "Subsubtitle"],
Cell[1012, 42, 615, 22, 127, "Subsubtitle"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1664, 69, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[1753, 74, 31, 0, 98, "Section"],
Cell[1787, 76, 353, 10, 103, "Text"],
Cell[2143, 88, 232, 4, 46, "Item"],
Cell[2378, 94, 181, 4, 75, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2608, 104, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[2697, 109, 32, 0, 98, "Section"],
Cell[CellGroupData[{
Cell[2754, 113, 53, 0, 60, "Subsection"],
Cell[2810, 115, 29, 0, 46, "Text"],
Cell[CellGroupData[{
Cell[2864, 119, 213, 6, 46, "Item"],
Cell[3080, 127, 209, 6, 46, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[3362, 141, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[3451, 146, 73, 2, 98, "Section"],
Cell[3527, 150, 34, 0, 46, "Text"],
Cell[CellGroupData[{
Cell[3586, 154, 52, 0, 46, "Item"],
Cell[3641, 156, 559, 17, 46, "Item"],
Cell[4203, 175, 120, 3, 47, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4384, 185, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[4473, 190, 68, 2, 98, "Section"],
Cell[4544, 194, 659, 19, 132, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5252, 219, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[5341, 224, 28, 0, 98, "Section"],
Cell[5372, 226, 254, 4, 103, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5675, 236, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[5764, 241, 65, 2, 98, "Section"],
Cell[5832, 245, 211, 4, 75, "Text"],
Cell[CellGroupData[{
Cell[6068, 253, 51, 0, 46, "Item"],
Cell[6122, 255, 103, 3, 46, "Item"],
Cell[6228, 260, 76, 0, 46, "Item"],
Cell[6307, 262, 629, 19, 116, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6997, 288, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[7086, 293, 71, 2, 98, "Section"],
Cell[7160, 297, 218, 6, 76, "Text"],
Cell[7381, 305, 401, 10, 79, "Text"],
Cell[7785, 317, 445, 7, 75, "Text"],
Cell[8233, 326, 33, 0, 46, "Text"],
Cell[CellGroupData[{
Cell[8291, 330, 32, 0, 46, "Item"],
Cell[8326, 332, 41, 0, 46, "Item"],
Cell[8370, 334, 37, 0, 46, "Item"],
Cell[8410, 336, 34, 0, 46, "Item"],
Cell[8447, 338, 36, 0, 46, "Item"],
Cell[8486, 340, 36, 0, 46, "Item"],
Cell[8525, 342, 34, 0, 46, "Item"],
Cell[8562, 344, 70, 0, 46, "Item"],
Cell[8635, 346, 63, 0, 46, "Item"],
Cell[8701, 348, 64, 0, 46, "Item"],
Cell[8768, 350, 48, 0, 46, "Item"]
}, Open  ]],
Cell[8831, 353, 194, 5, 76, "Text"],
Cell[CellGroupData[{
Cell[9050, 362, 662, 15, 153, "ItemNumbered"],
Cell[9715, 379, 554, 11, 149, "ItemNumbered"],
Cell[10272, 392, 923, 19, 219, "ItemNumbered"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11256, 418, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[11345, 423, 74, 2, 98, "Section"],
Cell[11422, 427, 328, 8, 46, "Text"],
Cell[CellGroupData[{
Cell[11775, 439, 76, 0, 46, "Item"],
Cell[11854, 441, 55, 0, 46, "Item"],
Cell[11912, 443, 58, 0, 46, "Item"],
Cell[11973, 445, 441, 10, 116, "Item"],
Cell[12417, 457, 157, 3, 79, "Item"],
Cell[12577, 462, 184, 4, 79, "Item"],
Cell[12764, 468, 261, 5, 112, "Item"],
Cell[13028, 475, 88, 2, 46, "Item"],
Cell[13119, 479, 260, 7, 79, "Item"],
Cell[13382, 488, 117, 3, 46, "Item"],
Cell[13502, 493, 208, 4, 79, "Item"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13771, 504, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[13860, 509, 45, 0, 98, "Section"],
Cell[CellGroupData[{
Cell[13930, 513, 31, 0, 60, "Subsection"],
Cell[13964, 515, 631, 17, 104, "Text"],
Cell[14598, 534, 586, 10, 103, "Text"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15245, 551, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[15334, 556, 63, 2, 98, "Section"],
Cell[15400, 560, 858, 14, 246, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16307, 580, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[16396, 585, 63, 2, 98, "Section"],
Cell[16462, 589, 761, 11, 189, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[17272, 606, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[17361, 611, 76, 2, 98, "Section"],
Cell[17440, 615, 986, 14, 189, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18475, 635, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[18564, 640, 34, 0, 98, "Section"],
Cell[18601, 642, 255, 5, 75, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18905, 653, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[18994, 658, 58, 2, 98, "Section"],
Cell[19055, 662, 1257, 33, 206, "Text"],
Cell[20315, 697, 1573, 39, 268, "Text"],
Cell[21891, 738, 975, 26, 174, "Text"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[22915, 770, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[23004, 775, 60, 2, 98, "Section"],
Cell[23067, 779, 613, 13, 135, "Text"],
Cell[23683, 794, 842, 24, 145, "Text"],
Cell[24528, 820, 1177, 32, 196, "Text"],
Cell[CellGroupData[{
Cell[25730, 856, 561, 15, 61, "Input"],
Cell[26294, 873, 1574, 33, 342, "Output"]
}, Open  ]],
Cell[27883, 909, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27950, 915, 64, 1, 1, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[28039, 920, 86, 2, 98, "Section"],
Cell[28128, 924, 506, 8, 160, "Text"],
Cell[28637, 934, 1480, 30, 315, "Text"],
Cell[CellGroupData[{
Cell[30142, 968, 2760, 80, 266, "Input"],
Cell[32905, 1050, 3323, 60, 334, "Output"]
}, Open  ]],
Cell[36243, 1113, 18, 0, 20, "Spacer"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
